package com.ruoyi.interfaces.mapper;

import java.util.List;

import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.interfaces.domain.MdDataSetSql;

/**
 * sql数据集Mapper接口
 * 
 * @author 朱得糠
 * @date 2025-09-02
 */
@DataSource(DataSourceType.SLAVE)
public interface MdDataSetSqlMapper 
{
    /**
     * 查询sql数据集
     * 
     * @param id sql数据集主键
     * @return sql数据集
     */
    public MdDataSetSql selectMdDataSetSqlByDcCode(String dcCode);

    /**
     * 查询sql数据集列表
     * 
     * @param mdDataSetSql sql数据集
     * @return sql数据集集合
     */
    public List<MdDataSetSql> selectMdDataSetSqlList(MdDataSetSql mdDataSetSql);

    /**
     * 新增sql数据集
     * 
     * @param mdDataSetSql sql数据集
     * @return 结果
     */
    public int insertMdDataSetSql(MdDataSetSql mdDataSetSql);

    /**
     * 修改sql数据集
     * 
     * @param mdDataSetSql sql数据集
     * @return 结果
     */
    public int updateMdDataSetSql(MdDataSetSql mdDataSetSql);

    /**
     * 删除sql数据集
     * 
     * @param id sql数据集主键
     * @return 结果
     */
    public int deleteMdDataSetSqlById(Long id);

    /**
     * 批量删除sql数据集
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMdDataSetSqlByIds(Long[] ids);

    int deleteMdDataSetSqlByDcCode(String dcCode);
}
